io.vertx.rxjava.amqp

## Class AmqpMessageBuilder

- java.lang.Object
- - io.vertx.rxjava.amqp.AmqpMessageBuilder

- All Implemented Interfaces:
    io.vertx.lang.rx.RxDelegate

      public class AmqpMessageBuilder
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  Builder to create a new `AmqpMessage`.

  Reference about the different metadata can be found on AMQP message properties.

  Note that the body is set using `withBodyAs*` method depending on the passed type.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<AmqpMessageBuilder>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AmqpMessageBuilder(AmqpMessageBuilder delegate)`
    `AmqpMessageBuilder(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AmqpMessageBuilder` | `address(String address)`
    `AmqpMessageBuilder` | `applicationProperties(JsonObject props)`
    `AmqpMessage` | `build()`
    `AmqpMessageBuilder` | `contentEncoding(String ct)`
    `AmqpMessageBuilder` | `contentType(String ct)`
    `AmqpMessageBuilder` | `correlationId(String correlationId)`
    `static AmqpMessageBuilder` | `create()`
    `AmqpMessageBuilder` | `creationTime(long ct)`
    `AmqpMessageBuilder` | `deliveryCount(int count)`
    `AmqpMessageBuilder` | `durable(boolean durable)`
    `boolean` | `equals(Object o)`
    `AmqpMessageBuilder` | `expiryTime(long expiry)`
    `AmqpMessageBuilder` | `firstAcquirer(boolean first)`
    `AmqpMessageBuilder` | `getDelegate()`
    `AmqpMessageBuilder` | `groupId(String gi)`
    `int` | `hashCode()`
    `AmqpMessageBuilder` | `id(String id)`
    `static AmqpMessageBuilder` | `newInstance(AmqpMessageBuilder arg)`
    `AmqpMessageBuilder` | `priority(short priority)`
    `AmqpMessageBuilder` | `replyTo(String replyTo)`
    `AmqpMessageBuilder` | `replyToGroupId(String rt)`
    `AmqpMessageBuilder` | `subject(String subject)`
    `String` | `toString()`
    `AmqpMessageBuilder` | `ttl(long ttl)`
    `AmqpMessageBuilder` | `withBody(String value)`
    `AmqpMessageBuilder` | `withBooleanAsBody(boolean v)`
    `AmqpMessageBuilder` | `withBufferAsBody(Buffer buffer)`
    `AmqpMessageBuilder` | `withByteAsBody(byte v)`
    `AmqpMessageBuilder` | `withCharAsBody(char c)`
    `AmqpMessageBuilder` | `withDoubleAsBody(double v)`
    `AmqpMessageBuilder` | `withFloatAsBody(float v)`
    `AmqpMessageBuilder` | `withInstantAsBody(java.time.Instant v)`
    `AmqpMessageBuilder` | `withIntegerAsBody(int v)`
    `AmqpMessageBuilder` | `withJsonArrayAsBody(JsonArray json)`
    `AmqpMessageBuilder` | `withJsonObjectAsBody(JsonObject json)`
    `AmqpMessageBuilder` | `withLongAsBody(long v)`
    `AmqpMessageBuilder` | `withShortAsBody(short v)`
    `AmqpMessageBuilder` | `withSymbolAsBody(String value)`
    `AmqpMessageBuilder` | `withUuidAsBody(UUID v)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<AmqpMessageBuilder> __TYPE_ARG

  - ### Constructor Detail

    - #### AmqpMessageBuilder

          public AmqpMessageBuilder(AmqpMessageBuilder delegate)

    - #### AmqpMessageBuilder

          public AmqpMessageBuilder(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public AmqpMessageBuilder getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### create

          public static AmqpMessageBuilder create()

      Returns:
        a new instance of `AmqpMessageBuilder`

    - #### build

          public AmqpMessage build()

      Returns:
        the message.

    - #### priority

          public AmqpMessageBuilder priority(short priority)

    - #### durable

          public AmqpMessageBuilder durable(boolean durable)

    - #### ttl

          public AmqpMessageBuilder ttl(long ttl)

    - #### firstAcquirer

          public AmqpMessageBuilder firstAcquirer(boolean first)

    - #### deliveryCount

          public AmqpMessageBuilder deliveryCount(int count)

    - #### id

          public AmqpMessageBuilder id(String id)

    - #### address

          public AmqpMessageBuilder address(String address)

    - #### replyTo

          public AmqpMessageBuilder replyTo(String replyTo)

    - #### correlationId

          public AmqpMessageBuilder correlationId(String correlationId)

    - #### withBody

          public AmqpMessageBuilder withBody(String value)

    - #### withSymbolAsBody

          public AmqpMessageBuilder withSymbolAsBody(String value)

    - #### subject

          public AmqpMessageBuilder subject(String subject)

    - #### contentType

          public AmqpMessageBuilder contentType(String ct)

    - #### contentEncoding

          public AmqpMessageBuilder contentEncoding(String ct)

    - #### expiryTime

          public AmqpMessageBuilder expiryTime(long expiry)

    - #### creationTime

          public AmqpMessageBuilder creationTime(long ct)

    - #### groupId

          public AmqpMessageBuilder groupId(String gi)

    - #### replyToGroupId

          public AmqpMessageBuilder replyToGroupId(String rt)

    - #### applicationProperties

          public AmqpMessageBuilder applicationProperties(JsonObject props)

    - #### withBooleanAsBody

          public AmqpMessageBuilder withBooleanAsBody(boolean v)

    - #### withByteAsBody

          public AmqpMessageBuilder withByteAsBody(byte v)

    - #### withShortAsBody

          public AmqpMessageBuilder withShortAsBody(short v)

    - #### withIntegerAsBody

          public AmqpMessageBuilder withIntegerAsBody(int v)

    - #### withLongAsBody

          public AmqpMessageBuilder withLongAsBody(long v)

    - #### withFloatAsBody

          public AmqpMessageBuilder withFloatAsBody(float v)

    - #### withDoubleAsBody

          public AmqpMessageBuilder withDoubleAsBody(double v)

    - #### withCharAsBody

          public AmqpMessageBuilder withCharAsBody(char c)

    - #### withBufferAsBody

          public AmqpMessageBuilder withBufferAsBody(Buffer buffer)

    - #### withJsonObjectAsBody

          public AmqpMessageBuilder withJsonObjectAsBody(JsonObject json)

    - #### withJsonArrayAsBody

          public AmqpMessageBuilder withJsonArrayAsBody(JsonArray json)

    - #### withInstantAsBody

          public AmqpMessageBuilder withInstantAsBody(java.time.Instant v)

    - #### withUuidAsBody

          public AmqpMessageBuilder withUuidAsBody(UUID v)

    - #### newInstance

          public static AmqpMessageBuilder newInstance(AmqpMessageBuilder arg)

Copyright © 2025 Eclipse. All rights reserved.